errore in qemu

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

errore in qemu

Messaggioda conraid » dom set 30, 2018 9:53

Stavo provando qemu ma non c'è verso di farlo partire.
L'installazione gestita con virt-manager dava errori, non trovando il boot disk. Fino all'altro giorno andava. Siccome era una installazione recente e pulita mi son detto la ricreo. Ora però, sia con virt-menager, sia semplicemente da linea di comando non riesco a installare niente.
Ogni installazione si ferma alla schermata che allego. Lo fa sia con immagini qcow2 sia con immagini raw.

Parto con questo script (che ho sempre usato da molto tempo, cambiandolo solo quando qemu cambia modo di indicazione dei parametri)

Codice: Seleziona tutto

#!/bin/sh
set -e

modprobe kvm-intel
modprobe virtio_net

PARAMS=$*
IMAGE="/opt/image/current64.img"
OPTIONS="-rtc base=localtime -m 512 --enable-kvm -usb -soundhw ac97"

if [ ${1:-""} == "install" ]; then
  CDROM="-boot d -cdrom /opt/image/slackware64-current-install-dvd.iso"
else
  CDROM=""
fi
USB="-device usb-ehci,id=ehci"
#HD="-device usb-host,hostbus=2,hostaddr=7"
SSH="-netdev user,id=net0,hostfwd=tcp::2222-:22 -device e1000,netdev=net0"
qemu-system-x86_64 $OPTIONS -hda $IMAGE $CDROM $SSH $USB


ma anche a togliere per esempio USB e RETE uguale.
Allegati
qemu.png
qemu.png (22.73 KiB) Visto 603 volte

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2480
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: errore in qemu

Messaggioda ponce » lun ott 01, 2018 10:04

a me il tuo script fa fare il boot all'installer (sto usando qemu-3.0.0), non ho testato la parte di ssh.

fossi in te proverei (nell'ordine):
- che la iso sia a posto (ho provato da una mini iso mia e da quella di Alien Bob);
- a fare il boot dell'host su cui esegui qemu da kernel standard di slackware64-current;
- a ricompilare qemu.

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 11:52

Ultimamente ho troppi casini, stranissimo.
- la iso è a posto, è la stessa (di alien) che ho usato la volta scorsa prima di cancellare l'immagine per fare qcow2
- ecco, questo non l'ho fatto :/
- sto ricompilando
Se continua riprovo anche a creare una nuova chroot

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 12:55

Anche ricompilando non va. Però cercando un po' in rete, e vedendo x2apic tra gli errori vedo che è proprio un'opzione diversa tra il mio kernel e quello huge (che ancora no ho potuto provare che sto compilando altro). Io lo disabilito perché il mio processore non supporta, comunque ho messo noapic e apic=off tra i parametri del boot (quando nell'installazione compare la scelta apposita) e ora va. Solo che è sempre andato senza fino a qualche giorno fa.

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 18:07

Mi sa che ho problemi nel sistema, poco fa facendo un
installpkg --root /opt/chroot */*.txz
mi ha installato solo 749 pacchetti, per esempio mancava facendo gnupg, ma facento un
upgradpkd --install-new --root /opt/chroot n/gnupg2*.txz
dava come già installato :/

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2480
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: errore in qemu

Messaggioda ponce » lun ott 01, 2018 18:23

secondo me ti conviene fare chroot nella directory che lo contiene e poi aggiornare da dentro il chroot (senza usare --root) o, sempre da dentro, dare un

Codice: Seleziona tutto

slackpkg reinstall slackware64
slackpkg install slackware64

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 18:30

Sì, infatti farò così, ma strano però questi problemi di questi giorni :/

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 18:44

Non c'è il parametro root per upgradepkg, solo per installpkg :)
Quindi il problema è perché non l'ha installati la prima volta, il successivo tentativo è perché son scemo io :)

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 19:17

Strano strano
per farlo ora sono andato dentro ogni directory, e dentro n ho avuto ad un certo punto

Codice: Seleziona tutto

Executing install script for ncurses-6.1_20180923-x86_64-1.txz.
Package ncurses-6.1_20180923-x86_64-1.txz installed.
Cannot install neon-0.30.2-x86_64-1.txz:  file not found
Cannot install netpbm-10.66.02-x86_64-5.txz:  file not found
Cannot install newt-0.52.20-x86_64-3.txz:  file not found
Cannot install ocl-icd-2.2.12-x86_64-2.txz:  file not found
Cannot install openexr-2.2.0-x86_64-3.txz:  file not found
Cannot install openjpeg-2.3.0-x86_64-2.txz:  file not found
Cannot install opus-1.3_rc2-x86_64-1.txz:  file not found
Cannot install opusfile-0.11-x86_64-1.txz:  file not found
Cannot install orc-0.4.28-x86_64-2.txz:  file not found
Cannot install pango-1.42.4-x86_64-1.txz:  file not found
Cannot install pangomm-2.40.1-x86_64-2.txz:  file not found
Cannot install parted-3.2-x86_64-4.txz:  file not found
Cannot install pcre-8.42-x86_64-2.txz:  file not found
Cannot install pcre2-10.32-x86_64-1.txz:  file not found
Cannot install phonon-4.8.3-x86_64-3.txz:  file not found
Cannot install phonon-gstreamer-4.8.2-x86_64-2.txz:  file not found
Cannot install pilot-link-0.12.5-x86_64-13.txz:  file not found
Cannot install polkit-0.113-x86_64-4.txz:  file not found
Cannot install polkit-gnome-0.105-x86_64-2.txz:  file not found
Cannot install polkit-qt-1-0.112.0-x86_64-2.txz:  file not found
Cannot install poppler-0.68.0-x86_64-1.txz:  file not found
Cannot install poppler-data-0.4.9-noarch-1.txz:  file not found
Cannot install popt-1.16-x86_64-3.txz:  file not found
Cannot install pulseaudio-12.2-x86_64-1.txz:  file not found
Cannot install pycairo-1.17.1-x86_64-1.txz:  file not found
Cannot install pycups-1.9.73-x86_64-4.txz:  file not found
Cannot install pycurl-7.43.0.2-x86_64-1.txz:  file not found
Cannot install pygobject-2.28.7-x86_64-2.txz:  file not found
Cannot install pygobject3-3.28.3-x86_64-1.txz:  file not found
Cannot install pygtk-2.24.0-x86_64-5.txz:  file not found
Cannot install pyparsing-2.2.1-x86_64-1.txz:  file not found
Cannot install python-appdirs-1.4.3-x86_64-2.txz:  file not found
Cannot install python-certifi-2018.8.24-x86_64-1.txz:  file not found
Cannot install python-chardet-3.0.4-x86_64-2.txz:  file not found
Cannot install python-docutils-0.14-x86_64-2.txz:  file not found
Cannot install python-idna-2.7-x86_64-1.txz:  file not found
Cannot install python-notify2-0.3.1-x86_64-2.txz:  file not found
Cannot install python-packaging-17.1-x86_64-1.txz:  file not found
Cannot install python-pillow-5.2.0-x86_64-1.txz:  file not found
Cannot install python-requests-2.19.1-x86_64-1.txz:  file not found
Cannot install python-sane-2.8.3-x86_64-2.txz:  file not found
Cannot install python-six-1.11.0-x86_64-2.txz:  file not found
Cannot install python-urllib3-1.23-x86_64-1.txz:  file not found
Cannot install qca-2.1.3-x86_64-3.txz:  file not found
Cannot install qimageblitz-0.0.6-x86_64-2.txz:  file not found
Cannot install qjson-0.8.1-x86_64-2.txz:  file not found
Cannot install qt-4.8.7-x86_64-10.txz:  file not found
Cannot install qt-gstreamer-1.2.0-x86_64-2.txz:  file not found
Cannot install qtscriptgenerator-0.2.0-x86_64-3.txz:  file not found
Cannot install raptor2-2.0.15-x86_64-5.txz:  file not found
Cannot install rasqal-0.9.33-x86_64-3.txz:  file not found
Cannot install readline-7.0.005-x86_64-1.txz:  file not found
Cannot install redland-1.0.17-x86_64-5.txz:  file not found
Cannot install sbc-1.3-x86_64-2.txz:  file not found
Cannot install sdl-1.2.15-x86_64-7.txz:  file not found
Cannot install seamonkey-solibs-2.49.4-x86_64-1.txz:  file not found
Cannot install serf-1.3.9-x86_64-3.txz:  file not found
Cannot install sg3_utils-1.44-x86_64-1.txz:  file not found
Cannot install shared-desktop-ontologies-0.11.0-x86_64-2.txz:  file not found
Cannot install shared-mime-info-1.9-x86_64-2.txz:  file not found
Cannot install sip-4.19.8-x86_64-2.txz:  file not found
Cannot install slang-2.3.2-x86_64-3.txz:  file not found
Cannot install slang1-1.4.9-x86_64-2.txz:  file not found
Cannot install soprano-2.9.4-x86_64-3.txz:  file not found
Cannot install sound-theme-freedesktop-0.8-noarch-2.txz:  file not found
Cannot install speex-1.2.0-x86_64-2.txz:  file not found
Cannot install speexdsp-1.2rc3-x86_64-2.txz:  file not found
Cannot install startup-notification-0.12-x86_64-3.txz:  file not found
Cannot install strigi-0.7.8-x86_64-4.txz:  file not found
Cannot install svgalib-1.9.25-x86_64-4.txz:  file not found
Cannot install system-config-printer-1.5.11-x86_64-3.txz:  file not found
Cannot install t1lib-5.1.2-x86_64-4.txz:  file not found
Cannot install taglib-1.11.1-x86_64-3.txz:  file not found
Cannot install taglib-extras-1.0.1-x86_64-2.txz:  file not found
Cannot install talloc-2.1.14-x86_64-1.txz:  file not found
Cannot install tango-icon-theme-0.8.90-noarch-4.txz:  file not found
Cannot install tango-icon-theme-extras-0.1.0-noarch-2.txz:  file not found
Cannot install tdb-1.3.16-x86_64-1.txz:  file not found
Cannot install tevent-0.9.37-x86_64-1.txz:  file not found
Cannot install urwid-1.0.3-x86_64-3.txz:  file not found
Cannot install utf8proc-2.2.0-x86_64-1.txz:  file not found
Cannot install v4l-utils-1.14.2-x86_64-2.txz:  file not found
Cannot install vte-0.52.2-x86_64-1.txz:  file not found
Cannot install wavpack-5.1.0-x86_64-2.txz:  file not found
Cannot install xapian-core-1.4.5-x86_64-2.txz:  file not found
Cannot install zlib-1.2.11-x86_64-2.txz:  file not found
Cannot install zstd-1.3.5-x86_64-1.txz:  file not found


però i file ci sono, tanto che se faccio

Codice: Seleziona tutto

installpkg --root /opt/current64-chroot/ o*.txz

mi installa tutti quelli che iniznao con o, invece con

Codice: Seleziona tutto

installpkg --root /opt/current64-chroot/ n*.txz

si ferma ancora a ncurses e poi not found
:-k
naturalmente uno per uno vanno però.

è posseduto

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 19:20

Lo fa anche dopo altri pacchetti.
Va beh, chiudo tutto che son stressato :)
perdona lo sfogo

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2480
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: errore in qemu

Messaggioda ponce » lun ott 01, 2018 19:28

se ce li hai su una pennetta usb3 prova ad attaccarla ad una porta usb2 e vedi se te lo fa ancora: alcune penne usb3 dopo tante letture (o scritture) consecutive veloci si scaldano troppo e smettono di funzionare correttamente, mentre questo non lo fa su usb2 dove la velocita' e' limitata.
a me lo faceva spesso quando provavo ad installare da una penna usb3 attaccata ad una presa usb3 fino a che non ho capito qual'era il problema.

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » lun ott 01, 2018 19:43

Ho solo usb 1.1 in questo pc in realtà :/
alla fine ho reinstallato tutto con slackpkg install slackware64 mancava solo tango-icon-theme

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2480
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: errore in qemu

Messaggioda ponce » lun ott 01, 2018 20:10

magari puoi fare anche

Codice: Seleziona tutto

slackpkg reinstall slackware64

giusto per stare tranquillo

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » mar ott 02, 2018 9:19

Ora lo faccio.

Comunque sto provando proprio ora con il kernel huge.
E qemu si ferma nello stesso punto se non do quei parametri. Con l'iso della 14.2 invece va in panic, sempre per apic, ti allego screenshot.
Eppure non lo faceva prima, misteri.
Allegati
qemu2.png
qemu2.png (23.98 KiB) Visto 427 volte

Avatar utente
conraid
Staff
Staff
Messaggi: 13206
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: errore in qemu

Messaggioda conraid » mar ott 02, 2018 9:36

Ho installato il tuo pacchetto, con relative dipendenze. E cambia leggermente il panic

Naturalmente anche questo con noapic e acpi=off come parametri al boot va tranquillamente.
Allegati
qemu3.png
qemu3.png (23.44 KiB) Visto 425 volte